Caucho Forums  

This forum is permanently closed because of spam. For free community support, please visit Google Groups:


Go Back   Caucho Forums > Resin

Reply
 
Thread Tools Display Modes
  #1  
Old 03-01-2011, 09:42 PM
adamzr adamzr is offline
Junior Member
 
Join Date: Mar 2011
Posts: 1
Default Eclipse plug-in won't install

When I try to install the Eclipse plug-in I get an error:

Cannot complete the install because of a conflicting dependency.
Software being installed: Resin Eclipse Feature 4.0.15 (com.caucho.resin.eclipse.feature.group 4.0.15)
Software currently installed: Eclipse IDE for Java EE Developers 1.3.0.20100617-0521 (epp.package.jee 1.3.0.20100617-0521)
Only one of the following can be installed at once:
Workbench 3.6.2.M20110210-1200 (org.eclipse.ui.workbench 3.6.2.M20110210-1200)
Workbench 3.6.1.M20100826-1330 (org.eclipse.ui.workbench 3.6.1.M20100826-1330)
Workbench 3.6.0.I20100603-1100 (org.eclipse.ui.workbench 3.6.0.I20100603-1100)
Cannot satisfy dependency:
From: Caucho Common Library 4.0.15 (com.caucho.common 4.0.15)
To: bundle org.eclipse.ui.workbench 3.6.1
Cannot satisfy dependency:
From: Resin Eclipse Feature 4.0.15 (com.caucho.resin.eclipse.feature.group 4.0.15)
To: com.caucho.common [4.0.15]
Cannot satisfy dependency:
From: Eclipse IDE for Java EE Developers 1.3.0.20100617-0521 (epp.package.jee 1.3.0.20100617-0521)
To: org.eclipse.epp.package.jee.feature.feature.group [1.3.0.20100617-0521]
Cannot satisfy dependency:
From: Java EE IDE Feature 1.3.0.20100617-0521 (org.eclipse.epp.package.jee.feature.feature.group 1.3.0.20100617-0521)
To: org.eclipse.platform.feature.group [3.6.0.v20100602-9gF78GpqFt6trOGhL60z0oEx3fz-JKNwxPY]
Cannot satisfy dependency:
From: Eclipse Platform 3.6.0.v20100602-9gF78GpqFt6trOGhL60z0oEx3fz-JKNwxPY (org.eclipse.platform.feature.group 3.6.0.v20100602-9gF78GpqFt6trOGhL60z0oEx3fz-JKNwxPY)
To: org.eclipse.rcp.feature.group [3.6.0.v20100519-9OArFKvFtsd7WLUKh-DcYTS]
Cannot satisfy dependency:
From: Eclipse RCP 3.6.0.v20100519-9OArFKvFtsd7WLUKh-DcYTS (org.eclipse.rcp.feature.group 3.6.0.v20100519-9OArFKvFtsd7WLUKh-DcYTS)
To: org.eclipse.ui.workbench [3.6.0.I20100603-1100]

Please help!
Reply With Quote
  #2  
Old 03-04-2011, 05:40 PM
alex alex is offline
Administrator
 
Join Date: Aug 2009
Posts: 218
Default

adamzr,

apologies for delayed reply. Please try the following
- uninstall resin plugin
- close eclipse
- change to the eclipse directory
- remove plugins/*caucho*
- remove features/*caucho*
- open artifacts.xml and remove all 'artifacts' elements with *caucho*

after that try reinstalling the plugin.

Thanks, Alex

Last edited by alex; 03-04-2011 at 10:43 PM.
Reply With Quote
  #3  
Old 04-02-2011, 09:34 AM
jiucai jiucai is offline
Junior Member
 
Join Date: Mar 2011
Posts: 8
Default

just download the following file and copy into Eclipse plugin dir:

http://caucho.com/eclipse/plugins/co...mon_4.0.15.jar
http://caucho.com/eclipse/plugins/co....ui_4.0.15.jar
http://caucho.com/eclipse/plugins/co...her_4.0.15.jar
http://caucho.com/eclipse/plugins/co...pse_4.0.15.jar
Reply With Quote
Reply

Tags
eclipse, eclipse helios, helios, resin, resin 4

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 02:01 AM.


Powered by vBulletin® Version 3.8.6
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.